This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 249590 - Review Request: and - Auto nice daemon
Review Request: and - Auto nice daemon
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-25 12:44 EDT by Jochen Schmitt
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.2.2-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-06 13:55:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2007-07-25 12:44:59 EDT
Spec URL: http://www.herr-schmitt.de/pub/and/and.spec
SRPM URL: http://www.herr-schmitt.de/pub/and/and-1.2.2-1.src.rpm
Description:
The auto nice daemon renices and even kills jobs according to their CPU time,
owner, and command name. This is especially useful on production machines with
lots of concurrent CPU-intensive jobs and users that tend to forget to
nice their jobs.
Comment 1 Jochen Schmitt 2007-07-26 10:57:05 EDT
Some Improvements:

Spec URL: http://www.herr-schmitt.de/pub/and/and.spec
SRPM URL: http://www.herr-schmitt.de/pub/and/and-1.2.2-2.src.rpm
Comment 2 Jason Tibbitts 2007-07-29 00:08:37 EDT
For some reason, attempting to fetch the -2 package redirects me to the -1 package:

Connecting to www.herr-schmitt.de|82.165.107.151|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: http://www.herr-schmitt.de/pub/and/and-1.2.2-1.src.rpm [following]
Comment 3 Jochen Schmitt 2007-07-29 13:54:27 EDT
I have uploaded the package again and tested the download on my own machine.

The download should works now.
Comment 4 Jason Tibbitts 2007-07-29 14:51:54 EDT
I'm still getting redirected:

> wget http://www.herr-schmitt.de/pub/and/and-1.2.2-2.src.rpm
--13:49:51--  http://www.herr-schmitt.de/pub/and/and-1.2.2-2.src.rpm
Resolving www.herr-schmitt.de... 82.165.107.151
Connecting to www.herr-schmitt.de|82.165.107.151|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: http://www.herr-schmitt.de/pub/and/and-1.2.2-1.src.rpm [following]
--13:49:52--  http://www.herr-schmitt.de/pub/and/and-1.2.2-1.src.rpm
Connecting to www.herr-schmitt.de|82.165.107.151|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 33569 (33K) [audio/x-pn-realaudio-plugin]
Saving to: `and-1.2.2-1.src.rpm'

100%[=====================================================================================>]
33,569      86.7K/s   in 0.4s

13:49:53 (86.7 KB/s) - `and-1.2.2-1.src.rpm' saved [33569/33569]

Firefox gets redirected as well.
Comment 5 Jochen Schmitt 2007-07-29 15:06:12 EDT
OK. I have delete and recreate the and directory.

Now, you may get the 301 respone from the server, but the right package.

Comment 6 Jason Tibbitts 2007-07-29 15:57:35 EDT
Nope:

> wget http://www.herr-schmitt.de/pub/and/and-1.2.2-2.src.rpm
--14:53:28--  http://www.herr-schmitt.de/pub/and/and-1.2.2-2.src.rpm
Resolving www.herr-schmitt.de... 82.165.107.151
Connecting to www.herr-schmitt.de|82.165.107.151|:80... ^[[6~connected.
HTTP request sent, awaiting response... 300 Multiple Choices
Length: unspecified [text/html]
Saving to: `and-1.2.2-2.src.rpm'

    [ <=>                                                                      
           ] 475         --.-K/s   in 0s

14:53:28 (36.9 MB/s) - `and-1.2.2-2.src.rpm' saved [475]

The 475 bytes I get are:

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<HTML><HEAD>
<TITLE>300 Multiple Choices</TITLE>
</HEAD><BODY>
<H1>Multiple Choices</H1>
The document name you requested (<code>/pub/and/and-1.2.2-2.src.rpm</code>)
could not be found on this server.
However, we found documents with names similar to the one you
requested.<p>Available documents:
<ul>
<li><a
href="/pub/and/and-1.2.2-2.fc7.src.rpm">/pub/and/and-1.2.2-2.fc7.src.rpm</a>
(common basename)
</ul>
</BODY></HTML>

Oh, the links aren't correct.  It really shouldn't be this difficult to put up a
couple of files for downloading.  I think I have managed to fetch the proper
file now.
Comment 7 Jochen Schmitt 2007-07-30 11:07:19 EDT
At first, I'm very sorry for any inconvenience caused by this technical issue.

I have found out, that my ISP has installed a mechanism which try to guess the
rigth name of the document on the webserver if you type in a wrong URL.

The following URL should works properly:

Spec URL: http://www.herr-schmitt.de/pub/and/and.spec
SRPM URL: http://www.herr-schmitt.de/pub/and/and-1.2.2-2.fc7.src.rpm
Comment 8 Jason Tibbitts 2007-07-30 14:15:34 EDT
I think something is wrong with your scriptlet dependencies; post does not call
/sbin/service.  I think perhaps you meant
  Requires(postun):  /sbin/service

Since this is just a two-character typo and is the only thing I see wrong with
this package, I'll go ahead and approve it and you can fix it when you check in.

Review:
* source files match upstream:
   d34a09d7a396bcf19beb0002195c5862b62292b04fd1fb5a83ae382955f28118
   and-1.2.2.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none)
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   config(and) = 1.2.2-2.fc8
   and = 1.2.2-2.fc8
  =
   /bin/sh
   /sbin/chkconfig
   /sbin/service
   config(and) = 1.2.2-2.fc8
* %check is not present; no test suite upstream.  I installed the package and 
   made sure the service would start and stop properly.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
X scriptlets look OK but dependencies are slightly off.
* init script looks good and seems to conform to LSB requirements.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED, just fix the %postun scriptlet dependency.
Comment 9 Jochen Schmitt 2007-07-30 14:35:01 EDT
New Package CVS Request
=======================
Package Name: and
Short Description: Auto nice daemon
Owners: Jochen@herr-schmitt.de
Branches: F-7
InitialCC: 

Comment 10 Jason Tibbitts 2007-07-30 14:39:12 EDT
CVS done.
Comment 11 Fedora Update System 2007-07-31 18:51:20 EDT
and-1.2.2-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2007-08-06 13:55:34 EDT
and-1.2.2-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.